Delete User
curl --request DELETE \
--url https://api.yapily.com/users/{userUuid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/users/{userUuid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/users/{userUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "e6625041a9fb46e2a450b3f9f1528cb8"
},
"data": {
"id": "b8ebe390-f6fb-45b5-bf20-1b4436644390",
"deleteStatus": "SUCCESS",
"creationDate": "2021-06-07T16:44:52.221Z",
"userConsents": [
{
"institutionId": "modelo-sandbox"
}
]
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Users
Delete User
Delete a user from your application along with any sub-resources (including consent resources on institution APIs if they exist)
Delete User
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The Yapily generated UUID for the user.
Was this page helpful?
⌘I